Subject: [PATCHv3 0/5] ARM:sunxi:ps2 Added support for A10/A20 ps2 controller.

From: [email-masked] (Hans de Goede)
Date: Mon, 15 Dec 2014 16:13:35 +0100

Hi,

On 15-12-14 15:13, Vishnu Patekar wrote:
> Hi,
>
> On Sun, Dec 14, 2014 at 2:31 PM, Hans de Goede <[email-masked]> wrote:
>> Hi,
>>
>> On 13-12-14 21:01, Vishnu Patekar wrote:
>>>
>>> Hello Hans,
>>> Please find my comments inlined.
>>>
>>> On 12/13/14, Hans de Goede <[email-masked]> wrote:
>>>>
>>>> Hi VishnuPatekar,
>>>>
>>>> The patch mangling for this set seems to have gone a bit wrong I'm afraid
>>>
>>>
>>> No, this time I've corrected it. Infact, last version of patch did not
>>> used the status bit error macros.
>>>
>>>> a lot of the patches have my fixup commit messages (which should have
>>>> disappeared when squashing in the patches), please replace those by
>>>> proper
>>>> commit messages describing what the patch actually does.
>>>
>>> Yes, [PATCHv3 3/5] uses fixup. I'll correct it.
>>>>
>>>>
>>>> Also the adding of the commented nodes for the lime2 seems to be gone
>>>> entirely
>>>> from the set, instead now only a comment about the conflict with the hdmi
>>>> pins is added, but it is above the i2c node instead of above a ps2 node.
>>>>
>>> Maxime's suggested that we should not add commented nodes specially
>>> when its trivial to apply. And just note saying ps20 pins conflict
>>> with HDMI.
>>
>>
>> Ah, I see.
>>
>>> Should I remove the this comment as well?
>>> Or
>>> Put this note in start of DTS file?
>>
>>
>> The comment should be added to where the pinctrl bits are, not to the lime2
>> file, ps0 will conflict with hdmi on all boards.
>
> Well, In that case,PS2_0 pins conflicts with HDMI, PS2_1 pins
> conflicts with LCD. Every pin has multiplexing.

Almost every A10 board has a hdmi connector, and only the hdmi ddc pins
are multiplexed, so this is sort of special, but yes if we do not have
the commented nodes in the dts file, then this comment can be dropped too
I guess.

Regards,

Hans